# Generated from ns_settings_ui-1.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ns_settings_ui

Name: rubygem-%{gem_name}
Version: 1.7.0
Release: 1%{?dist}
Summary: NS Settings
License: MIT
URL: https://github.com/u2i/ns_settings_ui
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal) >= 2.3
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(rspec-its) >= 1.2
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(database_cleaner) >= 1.5
# BuildRequires: rubygem(database_cleaner) < 2
# BuildRequires: rubygem(u2i-ci_utils) >= 2.0
# BuildRequires: rubygem(u2i-ci_utils) < 3
# BuildRequires: rubygem(test-unit) >= 3.1
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(rubocop-rspec) >= 1.4.1
# BuildRequires: rubygem(rubocop-rspec) < 1.5
# BuildRequires: rubygem(sass) >= 3.4
# BuildRequires: rubygem(sass) < 4
# BuildRequires: rubygem(sprockets) >= 3.7.2
# BuildRequires: rubygem(sprockets) < 3.8
# BuildRequires: rubygem(rails-controller-testing)
# BuildRequires: rubygem(guard) >= 2.13
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.6
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(guard-rubocop) >= 1.2
# BuildRequires: rubygem(guard-rubocop) < 2
# BuildRequires: rubygem(ruby_dep) >= 1.3.1
# BuildRequires: rubygem(ruby_dep) < 1.4
# BuildRequires: rubygem(listen) >= 3.0.0
# BuildRequires: rubygem(listen) < 3.1
BuildArch: noarch

%description
Engine providing key-value settings stored in db with a web UI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.env
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_u2i.yml
%{gem_instdir}/Appraisals
%{gem_instdir}/Guardfile
%{gem_instdir}/Jenkinsfile
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%doc %{gem_instdir}/docker
%{gem_instdir}/ns_settings_ui.gemspec
%{gem_instdir}/spec

%changelog
* Thu Aug 03 2023 mockbuilder - 1.7.0-1
- Initial package
